package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicPublishType {
    public static final String PARK = "公园";
    public static final String SQUARE = "广场";
    public static final String PUBLISHWC = "公共厕所";


    private static DicPublishType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicPublishType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(PARK, PARK);
        dicMap.put(SQUARE, SQUARE);
        dicMap.put(PUBLISHWC, PUBLISHWC);
    }

    public static DicPublishType getInstacne(){
        if (instance == null)
        {
            instance = new DicPublishType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
